%define upstream_name    WWW-YouTube-Download
%define upstream_version 0.65

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Very simply YouTube video download interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Type)
BuildRequires: perl(Mock::Quick)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
WWW::YouTube::Download is a download video from YouTube.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/youtube-download
%{_bindir}/youtube-playlists
%{_mandir}/man1/youtube-download.1*
%{_mandir}/man1/youtube-playlists.1*

%changelog
* Fri Nov 20 2020 tv <tv> 0.650.0-1.mga8
+ Revision: 1647856
- update to 0.65

* Mon Sep 21 2020 tv <tv> 0.640.0-1.mga8
+ Revision: 1629025
- update to 0.64

* Sat Aug 01 2020 tv <tv> 0.630.0-1.mga8
+ Revision: 1610233
- update to 0.63

* Sun Feb 16 2020 umeabot <umeabot> 0.620.0-2.mga8
+ Revision: 1535539
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.620.0-1.mga8
+ Revision: 1452104
- update to 0.62

* Thu Oct 10 2019 tv <tv> 0.610.0-1.mga8
+ Revision: 1451058
- restore BR on perl(Module::Build::Tiny)
- update to 0.61

* Thu Sep 20 2018 umeabot <umeabot> 0.600.0-2.mga7
+ Revision: 1287289
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.600.0-1.mga7
+ Revision: 1254052
- update to 0.60

* Tue Oct 03 2017 tv <tv> 0.590.0-4.mga7
+ Revision: 1167417
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.590.0-3.mga7
+ Revision: 1157310
- new version 0.590

* Sun Jun 19 2016 pterjan <pterjan> 0.580.0-3.mga6
+ Revision: 1035875
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.580.0-2.mga6
+ Revision: 966376
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.580.0-1.mga6
+ Revision: 843677
- update to 0.58

* Sat Oct 18 2014 umeabot <umeabot> 0.560.0-7.mga5
+ Revision: 788149
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.560.0-6.mga5
+ Revision: 743790
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.560.0-5.mga5
+ Revision: 686873
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.560.0-4.mga5
+ Revision: 633979
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 0.560.0-3.mga5
+ Revision: 606113
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.560.0-2.mga4
+ Revision: 530921
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 sander85 <sander85> 0.560.0-1.mga4
+ Revision: 460995
- update to 0.56

* Sat Jul 27 2013 sander85 <sander85> 0.550.0-1.mga4
+ Revision: 459107
- update to 0.55

* Fri Jul 26 2013 shlomif <shlomif> 0.540.0-1.mga4
+ Revision: 458553
- update to 0.54

* Fri Jun 07 2013 jquelin <jquelin> 0.530.0-1.mga4
+ Revision: 440057
- update to 0.53

* Sat Jun 01 2013 shlomif <shlomif> 0.520.0-1.mga4
+ Revision: 434153
- New version

* Sun Jan 13 2013 umeabot <umeabot> 0.420.0-2.mga3
+ Revision: 374814
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 shlomif <shlomif> 0.420.0-1.mga3
+ Revision: 319184
- New version 0.42

* Thu Oct 04 2012 jquelin <jquelin> 0.410.0-1.mga3
+ Revision: 302783
- update to 0.41

* Tue Feb 21 2012 kharec <kharec> 0.400.0-1.mga2
+ Revision: 211754
- update to 0.40

* Wed Dec 07 2011 kharec <kharec> 0.380.0-1.mga2
+ Revision: 178392
- update to 0.38

* Wed Dec 07 2011 kharec <kharec> 0.370.0-1.mga2
+ Revision: 178125
- update to 0.37

* Tue Dec 06 2011 kharec <kharec> 0.360.0-1.mga2
+ Revision: 177926
- imported package perl-WWW-YouTube-Download

